Page MenuHomePhabricator

Hide confusing 'move'-tab on user page
Closed, ResolvedPublic

Description

IMHO the "move" link/tab on the user page is confusing and should be removed. I have already seen users trying to change their user name this way (I think this wrong way is intuitive for non-technically experienced users: Change a page title: move page. Change username: move userpage).

There is not really a use for moving a userpage; only when being renamed the user page has to be moved, and the bureaucrat has the option to let Special:Renameuser do that automatically. Note that this is only correct for normal userpages and _not_ for subpages in the User-Namespace.


Version: unspecified
Severity: enhancement

Details

Reference
bz14592

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:13 PM
bzimport set Reference to bz14592.
bzimport added a subscriber: Unknown Object (MLST).
Tobias created this task.Jun 19 2008, 4:45 PM

(In reply to comment #0)

Note that this is only correct for
normal userpages and _not_ for subpages in the User-Namespace.

That's the problem right there: we want people to be able to move their user subpages, but not their userpage. The best solution would probably to write an extension that hooks into userCan and disallows the 'move' action if $wgTitle is $wgUser's user page.

demon added a comment.Jun 24 2008, 7:37 PM

Extension committed in r36616.

Question: Will this new extension be activated on Wikimedia-Projects? Or what would be the normal procedure to get this activated for a wiki? Open new bug with keyword "shell" and link to a poll showing that a specific project wants this extension?

demon added a comment.Jun 27 2008, 5:16 PM

That would be the usual procedure :-)

demon added a comment.Jun 27 2008, 5:25 PM
  • Bug 13883 has been marked as a duplicate of this bug. ***

A consensus in dewiki could not be reached, because most users thought that disallowing page moves is not necessary to solve this problem. Instead, I think hiding the move-button and/or displaying a warning message when a user attempts to move his user page would work perfectly fine without further restrictions.

As many felt, a new right is an overkill, I added a simple warning in r62358 when a user tries to move a user page.

s.vanslyck wrote:

This might be a stoopid suggestion, but it would be a good idea for this fix to prevent moving User_talk as well.

Tobias added a comment.Jul 6 2010, 8:08 PM

Legitimate User_talk page moves are far more often (e.g. for archives), so a warning would be misplaced on much more occasions than with user page moves.

And the software shouldn't actually prevent moving user pages, only trigger warning when a user is about to move his user page.

s.vanslyck wrote:

Fair enough. Not to mention the fact that the bug is closed.